# 32/64bit spec-file
#
%define name	bareftp
%define version	0.3.10
%define release	%mkrel 1

Summary:       File transfer client supporting the FTP, FTP over SSL/TLS (FTPS) and SSH
Summary(de):   FTP Klient, der FTP, FTP über SSL/TLS (FTPS) und SSH unterstützt
Name:          %{name}
Version:       %{version}
Release:       %{release}
Group:         Networking/WWW
License:       GPLv2
URL:           http://www.bareftp.org/
Source0:       http://www.bareftp.org/release/%{name}-%{version}.tar.xz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-sharp2-devel
BuildRequires: gtk-sharp2-devel
BuildRequires: gnome-keyring-sharp
BuildRequires: mono-devel
BuildRequires: gettext-devel
Requires: mono
Obsoletes:  %name < %version


%description
bareFTP is a file transfer client supporting the FTP, FTP over SSL/TLS (FTPS)
and SSH File Transfer Protocol (SFTP). It is written in C#, targeting the Mono
framework and the GNOME desktop environment. bareFTP is free and open source
software released under the terms of the GPL license.

%description -l de
bareFTP ist ein Dateitransferklient der FTP, FTP über SSL/TLS (FTPS) und SSH
(SFTP) unterstützt. Es ist in C# geschrieben und nutzt das Mono Framework und die
GNOME Desktopumgebung. bareFTP ist freie und Open Source Software, die unter den
Bedingungen der GPL v2 Lizenz veröffentlicht wurde.

%prep
%setup -q


%build
autoreconf -fis
%configure2_5x 


%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 data/icon-theme/hicolor_apps_48x48_bareftp.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%{update_menus}

%postun
%clean_desktop_database
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING CREDITS INSTALL README
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*.bz2

%changelog
* Sat Mar 23 2013 Ken <lxgator at gmail dot com> 0.3.10-1pclos2013
- 0.3.10

* Mon Jun 04 2012 Neal <nealbrks0 at gmail dot com> 0.3.9-1pclos2012
- process

* Mon Jun 04 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.3.9-1pclos2012
- 0.3.9
- added german summary and description
- added BuildRequires: gettext-devel

* Thu Nov 18 2010 Texstar <texstar at gmail.com> 0.3.7-1pclos2010
- 0.3.7

* Sun Oct 17 2010 Sproggy <desproggster@gmail.com> 0.3.6-1pclos2010
- 0.3.6

* Sun May 09 2010 slick50 <lxgator@gmail.com> 0.3.4-1pclos2010
- 0.3.4

* Mon Apr 19 2010 slick50 <lxgator@gmail.com> 0.3.2-1pclos2010
- 0.3.2

* Sun Jan 03 2010 slick50 <lxgator@gmail.com> 0.3.1-1pclos2010
- 0.3.1

* Tue Dec 22 2009 slick50 <lxgator@gmail.com> 0.3.0-1pclos2010
- initial pkg
